# -*- coding: utf-8 -*-
#import autocomplete_light
from django.utils.translation import ugettext_lazy as _
import autocomplete_light
from . import models
from jmb.core.utils.autocomplete import DynamicAutocompleteModelBase

class DocumentProjectAutocomplete(autocomplete_light.AutocompleteModelBase):
    search_fields = ['name', 'organization__name']
    model = models.DocumentProject
    choices = models.DocumentProject.objects
    attrs = {
        'data-autcomplete-minimum-characters': 0,
        'placeholder': _('Project')
    }

class GroupAutocomplete(autocomplete_light.AutocompleteModelBase):
    search_fields = ['title', 'project__name', 'project__organization__name']
    model = models.DocumentProject
    choices = models.DocumentProject.objects

autocomplete_light.register(GroupAutocomplete, name='group')
autocomplete_light.register(DocumentProjectAutocomplete)
