# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.admin.menu import register_menu

document_menu_item = items.MenuItem(
    # GENERAL
    _('Document'),
    reverse('admin:app_list', kwargs={'app_label': 'document'}),
    children=[
        items.MenuItem(
            _('Document'),
            '',
            children=[
                items.MenuItem(_('Add Document'), reverse('admin:document_document_add',)),
                items.MenuItem(_('Add Document - bulk'), reverse('admin:document_bulk_create',)),
                items.MenuItem(_('Document List'), reverse('admin:document_document_changelist',)),
                items.MenuItem(_('Document to complete'),
                               reverse('admin:document_document_changelist',) + "?status=TC"),
                items.MenuItem(_('Document no tipology'),
                               reverse('admin:document_document_changelist',) + "?tipology__isnull=2"),
                items.MenuItem(_('TODO'),
                               reverse('admin:document_document_changelist',) + "?status=TODO"),
                items.MenuItem(
                    _('Document Project'), reverse('admin:document_documentproject_add',)),
            ]
        ),
    ]
)


register_menu(document_menu_item, 'jmb.document')
