from datetime import date

from django.conf import settings
from django.utils.translation import ugettext_lazy as _

CREATE_DEFAULT_PERMS = True
DEFAULT_PERMS = (
    ("add_{}_documents",                       "Can add {} documents"),
    ("list_all_{}_documents",                  "Can list all {} documents"),
    ("list_group_{}_documents",                "Can list group {} documents"),
    ("list_organization_{}_documents",         "Can list organization {} documents"),
    ("list_own_{}_documents",                  "Can list own {} documents"),
    ("change_all_{}_documents",                "Can change all {} documents"),
    ("change_group_{}_documents",              "Can change group {} documents"),
    ("change_organization_{}_documents",       "Can change organization {} documents"),
    ("change_own_{}_documents",                "Can change own {} documents"),
    ("delete_all_{}_documents",                "Can delete all {} documents"),
    ("delete_group_{}_documents",              "Can delete group {} documents"),
    ("delete_organization_{}_documents",       "Can delete organization {} documents"),
    ("delete_own_{}_documents",                "Can delete own {} documents"),
    ("download_all_{}_documents",              "Can download all {} documents"),
    ("download_group_{}_documents",            "Can download group {} documents"),
    ("download_organization_{}_documents",     "Can download organization {} documents"),
    ("download_own_{}_documents",              "Can download own {} documents"),
)

DOCUMENT_STATUS_DOC = (
    ("CM", _("COMPLETED")),
    ("TC", _("TO COMPLETE")),
    ("TODO", _("Action to do")),
)

DOCUMENT_SUPPORTO_DOC = (
    ("S", "SCANNER"),
    ("M", "MAIL"),
    ("F", "FAX"),
    ("W", "WEB"),
)

TYPE_PERM = (
    ('P', _('Personal')),
    ('G', _('Group')),
    ('A', _('All')),
)

DIRECTION_DOC = (
    ("IN", "IN"),
    ("OUT", "OUT"),
)

DOCUMENT_PATH_DOCUMENTS = "documents/"
DOCUMENT_LOG_FILENAME = "/tmp/jumbo_documents.log"
DOCUMENT_SCRIPT_USER = "admin"

# PARAMETRI PER STAMPA ETICHETTE
DOCUMENT_PRINT_NAME = ''
PROTOCOL_NUMBER_FUNCTION = 'jmb.document.utils.get_new_protocol_number'

# MAIL INVIATE SE SELEZIONATE CATEGORIE A CUI INVIARE LA NOTIIFCA
DOCUMENT_MAIL_CATEGORY_FROM = "document@localhost.it"
DOCUMENT_MAIL_CATEGORY_SUBJECT = _(
    "The user {user} {action} the document {document} in the category {category}")
DOCUMENT_DOMAIN_NAME = 'domain.local'

DOCUMENT_DATE_DEFAULT = date.today
DOCUMENT_DIRECTION_DEFAULT = 'IN'
DOCUMENT_SUPPORT_DEFAULT = 'S'   # Scanner
DOCUMENT_STATUS_DEFAULT = 'CM'   # Completed
DOCUMENT_ORGANIZATION_DEFAULT = None
#: links in changelist will be served internally so that 'inline' is added
#: to Content-Disposition header
DOCUMENT_INLINE = False
