# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'CategoryPermission'
        db.create_table(u'document_categorypermission', (
            (u'permission_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['auth.Permission'], unique=True, primary_key=True)),
            ('model_id', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
        ))
        db.send_create_signal(u'document', ['CategoryPermission'])

        # Adding model 'DocumentProject'
        db.create_table(u'document_documentproject', (
            (u'project_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['project.Project'], unique=True, primary_key=True)),
        ))
        db.send_create_signal(u'document', ['DocumentProject'])

        # Adding M2M table for field managers on 'DocumentProject'
        m2m_table_name = db.shorten_name(u'document_documentproject_managers')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('documentproject', models.ForeignKey(orm[u'document.documentproject'], null=False)),
            ('contact', models.ForeignKey(orm[u'organization.contact'], null=False))
        ))
        db.create_unique(m2m_table_name, ['documentproject_id', 'contact_id'])

        # Adding M2M table for field staff on 'DocumentProject'
        m2m_table_name = db.shorten_name(u'document_documentproject_staff')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('documentproject', models.ForeignKey(orm[u'document.documentproject'], null=False)),
            ('contact', models.ForeignKey(orm[u'organization.contact'], null=False))
        ))
        db.create_unique(m2m_table_name, ['documentproject_id', 'contact_id'])

        # Adding model 'Category'
        db.create_table(u'document_category', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_category_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_category_last_modifier', null=True, to=orm['auth.User'])),
            ('code', self.gf('django.db.models.fields.CharField')(unique=True, max_length=15, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=30, db_index=True)),
            ('email', self.gf('django.db.models.fields.EmailField')(unique=True, max_length=75)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('notify_to_add_document', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('notify_email', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'document', ['Category'])

        # Adding model 'OtherCategory'
        db.create_table(u'document_othercategory', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_othercategory_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_othercategory_last_modifier', null=True, to=orm['auth.User'])),
            ('code', self.gf('django.db.models.fields.CharField')(unique=True, max_length=15, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=30, db_index=True)),
            ('email', self.gf('django.db.models.fields.EmailField')(unique=True, max_length=75)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('notify_to_add_document', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('notify_email', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'document', ['OtherCategory'])

        # Adding model 'Default'
        db.create_table(u'document_default', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_default_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_default_last_modifier', null=True, to=orm['auth.User'])),
            ('category', self.gf('django.db.models.fields.related.ForeignKey')(related_name='document_defaults', unique=True, to=orm['document.Category'])),
        ))
        db.send_create_signal(u'document', ['Default'])

        # Adding M2M table for field users on 'Default'
        m2m_table_name = db.shorten_name(u'document_default_users')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('default', models.ForeignKey(orm[u'document.default'], null=False)),
            ('contact', models.ForeignKey(orm[u'organization.contact'], null=False))
        ))
        db.create_unique(m2m_table_name, ['default_id', 'contact_id'])

        # Adding M2M table for field groups on 'Default'
        m2m_table_name = db.shorten_name(u'document_default_groups')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('default', models.ForeignKey(orm[u'document.default'], null=False)),
            ('group', models.ForeignKey(orm[u'auth.group'], null=False))
        ))
        db.create_unique(m2m_table_name, ['default_id', 'group_id'])

        # Adding model 'Tipology'
        db.create_table(u'document_tipology', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=50, db_index=True)),
        ))
        db.send_create_signal(u'document', ['Tipology'])

        # Adding model 'Document'
        db.create_table(u'document_document', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_document_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_document_last_modifier', null=True, to=orm['auth.User'])),
            ('organization', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='documents', null=True, to=orm['organization.Organization'])),
            ('person', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='documents', null=True, to=orm['organization.Contact'])),
            ('category', self.gf('django.db.models.fields.related.ForeignKey')(related_name='documents', to=orm['document.Category'])),
            ('tipology', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='documents', null=True, to=orm['document.Tipology'])),
            ('status', self.gf('django.db.models.fields.CharField')(max_length=2, db_index=True)),
            ('date_doc', self.gf('django.db.models.fields.DateTimeField')(db_index=True, null=True, blank=True)),
            ('number', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=20, null=True, db_column='dnumber', blank=True)),
            ('working', self.gf('django.db.models.fields.BooleanField')(default=False, db_index=True)),
            ('reception_date', self.gf('django.db.models.fields.DateTimeField')(db_index=True)),
            ('protocol_number', self.gf('django.db.models.fields.IntegerField')(db_index=True, null=True, blank=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
            ('keywords', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=200, null=True, blank=True)),
            ('pages', self.gf('django.db.models.fields.PositiveSmallIntegerField')(max_length=3, null=True, blank=True)),
            ('support', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('file', self.gf('django.db.models.fields.files.FileField')(max_length=100)),
            ('etichetta', self.gf('django.db.models.fields.files.FileField')(max_length=100, null=True, blank=True)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('is_public', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('direction', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=1, null=True, blank=True)),
        ))
        db.send_create_signal(u'document', ['Document'])

        # Adding M2M table for field projects on 'Document'
        m2m_table_name = db.shorten_name(u'document_document_projects')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('document', models.ForeignKey(orm[u'document.document'], null=False)),
            ('documentproject', models.ForeignKey(orm[u'document.documentproject'], null=False))
        ))
        db.create_unique(m2m_table_name, ['document_id', 'documentproject_id'])

        # Adding M2M table for field notify_group on 'Document'
        m2m_table_name = db.shorten_name(u'document_document_notify_group')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('document', models.ForeignKey(orm[u'document.document'], null=False)),
            ('group', models.ForeignKey(orm[u'auth.group'], null=False))
        ))
        db.create_unique(m2m_table_name, ['document_id', 'group_id'])

        # Adding M2M table for field other_category on 'Document'
        m2m_table_name = db.shorten_name(u'document_document_other_category')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('document', models.ForeignKey(orm[u'document.document'], null=False)),
            ('othercategory', models.ForeignKey(orm[u'document.othercategory'], null=False))
        ))
        db.create_unique(m2m_table_name, ['document_id', 'othercategory_id'])

        # Adding model 'Link'
        db.create_table(u'document_link', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_link_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'document_link_last_modifier', null=True, to=orm['auth.User'])),
            ('number', self.gf('django.db.models.fields.IntegerField')(db_column='lnumber', db_index=True)),
            ('document', self.gf('django.db.models.fields.related.ForeignKey')(related_name='links', to=orm['document.Document'])),
        ))
        db.send_create_signal(u'document', ['Link'])

        # Adding unique constraint on 'Link', fields ['number', 'document']
        db.create_unique(u'document_link', ['lnumber', 'document_id'])


    def backwards(self, orm):
        # Removing unique constraint on 'Link', fields ['number', 'document']
        db.delete_unique(u'document_link', ['lnumber', 'document_id'])

        # Deleting model 'CategoryPermission'
        db.delete_table(u'document_categorypermission')

        # Deleting model 'DocumentProject'
        db.delete_table(u'document_documentproject')

        # Removing M2M table for field managers on 'DocumentProject'
        db.delete_table(db.shorten_name(u'document_documentproject_managers'))

        # Removing M2M table for field staff on 'DocumentProject'
        db.delete_table(db.shorten_name(u'document_documentproject_staff'))

        # Deleting model 'Category'
        db.delete_table(u'document_category')

        # Deleting model 'OtherCategory'
        db.delete_table(u'document_othercategory')

        # Deleting model 'Default'
        db.delete_table(u'document_default')

        # Removing M2M table for field users on 'Default'
        db.delete_table(db.shorten_name(u'document_default_users'))

        # Removing M2M table for field groups on 'Default'
        db.delete_table(db.shorten_name(u'document_default_groups'))

        # Deleting model 'Tipology'
        db.delete_table(u'document_tipology')

        # Deleting model 'Document'
        db.delete_table(u'document_document')

        # Removing M2M table for field projects on 'Document'
        db.delete_table(db.shorten_name(u'document_document_projects'))

        # Removing M2M table for field notify_group on 'Document'
        db.delete_table(db.shorten_name(u'document_document_notify_group'))

        # Removing M2M table for field other_category on 'Document'
        db.delete_table(db.shorten_name(u'document_document_other_category'))

        # Deleting model 'Link'
        db.delete_table(u'document_link')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Permission']"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'carriage.carriage': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Carriage'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '3'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'carriage_carriage_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'carriage_carriage_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'carriage.delivery': {
            'Meta': {'ordering': "('ordering', 'transport_by', 'carriage')", 'object_name': 'Delivery'},
            'carriage': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['carriage.Carriage']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'carriage_delivery_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'carriage_delivery_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'transport_by': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'currency.currency': {
            'Meta': {'ordering': "('ordering', 'code')", 'object_name': 'Currency'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'currency_currency_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'currency_currency_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'symbol': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        u'document.category': {
            'Meta': {'ordering': "['name']", 'object_name': 'Category'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_category_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'unique': 'True', 'max_length': '75'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_category_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_email': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_to_add_document': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'document.categorypermission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'object_name': 'CategoryPermission', '_ormbases': [u'auth.Permission']},
            'model_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'permission_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['auth.Permission']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'document.default': {
            'Meta': {'object_name': 'Default'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'document_defaults'", 'unique': 'True', 'to': u"orm['document.Category']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_default_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'document_defaults'", 'to': u"orm['auth.Group']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_default_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'document_defaults'", 'to': u"orm['organization.Contact']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'})
        },
        u'document.document': {
            'Meta': {'object_name': 'Document'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'documents'", 'to': u"orm['document.Category']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_document_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_doc': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'direction': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'etichetta': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'keywords': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_document_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_group': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'documents'", 'to': u"orm['auth.Group']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '20', 'null': 'True', 'db_column': "'dnumber'", 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'documents'", 'null': 'True', 'to': u"orm['organization.Organization']"}),
            'other_category': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'documents'", 'to': u"orm['document.OtherCategory']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'pages': ('django.db.models.fields.PositiveSmallIntegerField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'person': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'documents'", 'null': 'True', 'to': u"orm['organization.Contact']"}),
            'projects': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'documents'", 'to': u"orm['document.DocumentProject']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True', 'db_index': 'True'}),
            'protocol_number': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'reception_date': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '2', 'db_index': 'True'}),
            'support': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'tipology': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'documents'", 'null': 'True', 'to': u"orm['document.Tipology']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'working': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'})
        },
        u'document.documentproject': {
            'Meta': {'ordering': "['name']", 'object_name': 'DocumentProject', '_ormbases': [u'project.Project']},
            'managers': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'related_name': "'managed_documentprojects'", 'symmetrical': 'False', 'to': u"orm['organization.Contact']"}),
            u'project_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['project.Project']", 'unique': 'True', 'primary_key': 'True'}),
            'staff': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'related_name': "'assigned_documentprojects'", 'symmetrical': 'False', 'to': u"orm['organization.Contact']"})
        },
        u'document.link': {
            'Meta': {'unique_together': "(('number', 'document'),)", 'object_name': 'Link'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_link_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'document': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'links'", 'to': u"orm['document.Document']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_link_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'number': ('django.db.models.fields.IntegerField', [], {'db_column': "'lnumber'", 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        u'document.othercategory': {
            'Meta': {'ordering': "['name']", 'object_name': 'OtherCategory'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_othercategory_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'unique': 'True', 'max_length': '75'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'document_othercategory_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_email': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'notify_to_add_document': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'document.tipology': {
            'Meta': {'ordering': "['name']", 'object_name': 'Tipology'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'i18n.language': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Language'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'nationality': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'office.office': {
            'Meta': {'object_name': 'Office'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'office_office_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'office_office_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'organization.contact': {
            'Meta': {'ordering': "['ordering', 'last_name', 'first_name']", 'object_name': 'Contact'},
            'code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'contact_groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'contacts'", 'blank': 'True', 'db_index': 'True', 'to': u"orm['organization.OrganizationGroup']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contact_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']", 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contact_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'mobile': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': u"orm['organization.Organization']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'photo': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': u"orm['organization.ContactRole']"}),
            'send_ddt_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_invoice_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_procedure_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_quotation_by_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'title': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': u"orm['organization.ContactTitle']"}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'blank': 'True', 'related_name': "'contact'", 'unique': 'True', 'null': 'True', 'to': u"orm['auth.User']"})
        },
        u'organization.contactrole': {
            'Meta': {'ordering': "('name',)", 'object_name': 'ContactRole'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contactrole_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contactrole_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'organization.contacttitle': {
            'Meta': {'ordering': "('name',)", 'object_name': 'ContactTitle'},
            'abbreviation': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '10'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contacttitle_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_contacttitle_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'organization.field': {
            'Meta': {'object_name': 'Field'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_field_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_field_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'organization.organization': {
            'Meta': {'ordering': "['name']", 'unique_together': "(('vat_number', 'ssn', 'organization_type'),)", 'object_name': 'Organization'},
            'brand': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organization_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'currency': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['currency.Currency']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'delivery': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['carriage.Delivery']"}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'field': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['organization.Field']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organization_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'note': ('ckeditor.fields.RichTextField', [], {'null': 'True', 'blank': 'True'}),
            'office': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['office.Office']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization_form': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'organizations'", 'to': u"orm['organization.OrganizationForm']"}),
            'organization_groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'organizations'", 'blank': 'True', 'db_index': 'True', 'to': u"orm['organization.OrganizationGroup']"}),
            'organization_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'organizations'", 'to': u"orm['organization.OrganizationType']"}),
            'payment_form': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['payment.PaymentForm']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'phone2': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'ssn': ('django.db.models.fields.CharField', [], {'max_length': '16', 'null': 'True', 'db_index': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'vat': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': u"orm['vat.Vat']"}),
            'vat_number': ('django.db.models.fields.CharField', [], {'max_length': '14', 'null': 'True', 'db_index': 'True'})
        },
        u'organization.organizationform': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'OrganizationForm'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationform_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationform_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'organization.organizationgroup': {
            'Meta': {'object_name': 'OrganizationGroup'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationgroup_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationgroup_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'organization.organizationtype': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'OrganizationType'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationtype_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'organization_organizationtype_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'payment.paymentform': {
            'Meta': {'ordering': "('code',)", 'object_name': 'PaymentForm'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '25', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'payment_paymentform_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'discount': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'fee': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'payment_paymentform_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'project.project': {
            'Meta': {'object_name': 'Project'},
            'accepted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'project_project_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_start': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today', 'db_index': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'project_project_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'projects'", 'null': 'True', 'to': u"orm['organization.Organization']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'vat.vat': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Vat'},
            'aliquot_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'vat_vat_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'deduct_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'vat_vat_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '200'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        }
    }

    complete_apps = ['document']